(ns 1-gb-api.api.-
  (:require [1-gb-api.core :refer [call-api check-required-params with-collection-format]])
  (:import (java.io File)))

(defn balance-get-with-http-info
  "Аккаунт: баланс
  Возвращает текущий баланс аккаунта"
  [-token- ]
  (call-api "/balance" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn balance-get
  "Аккаунт: баланс
  Возвращает текущий баланс аккаунта"
  [-token- ]
  (:data (balance-get-with-http-info -token-)))

(defn balance-lic-get-with-http-info
  "Аккаунт: баланс аккаунта лицензий
  Возвращает текущий баланс аккаунта лицензий"
  [-token- ]
  (call-api "/balance.lic" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn balance-lic-get
  "Аккаунт: баланс аккаунта лицензий
  Возвращает текущий баланс аккаунта лицензий"
  [-token- ]
  (:data (balance-lic-get-with-http-info -token-)))

(defn billing-debt-get-with-http-info
  "Информация по дебету аккаунта
  Данный запрос позволяет получить информацию по планируемым датам наступления негативного баланса и отключения"
  [-token- ]
  (call-api "/billing/debt" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn billing-debt-get
  "Информация по дебету аккаунта
  Данный запрос позволяет получить информацию по планируемым датам наступления негативного баланса и отключения"
  [-token- ]
  (:data (billing-debt-get-with-http-info -token-)))

(defn billing-info-get-with-http-info
  "Информация об аккаунте
  Этот запрос позволяет получить информацию об аккаунте, а также базовую статистику использования ресурсов."
  [-token- ]
  (call-api "/billing/info" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn billing-info-get
  "Информация об аккаунте
  Этот запрос позволяет получить информацию об аккаунте, а также базовую статистику использования ресурсов."
  [-token- ]
  (:data (billing-info-get-with-http-info -token-)))

(defn billing-limits-get-with-http-info
  "Получить ограничения аккаунта"
  [-token- ]
  (call-api "/billing/limits" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn billing-limits-get
  "Получить ограничения аккаунта"
  [-token- ]
  (:data (billing-limits-get-with-http-info -token-)))

(defn dns-prolong-list-get-with-http-info
  "Информация по продлению доменов"
  [-token- ]
  (call-api "/dns/prolong/list" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn dns-prolong-list-get
  "Информация по продлению доменов"
  [-token- ]
  (:data (dns-prolong-list-get-with-http-info -token-)))

(defn email-add-get-with-http-info
  "Создание почтового ящика"
  [-token- add-email ]
  (call-api "/email/add" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- "add_email" add-email }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn email-add-get
  "Создание почтового ящика"
  [-token- add-email ]
  (:data (email-add-get-with-http-info -token- add-email)))

(defn email-alias-delete-get-with-http-info
  "Удаление псевдонимов почтовых ящиков"
  [-token- -key- ]
  (call-api "/email/alias/delete" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- "_key_" -key- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn email-alias-delete-get
  "Удаление псевдонимов почтовых ящиков"
  [-token- -key- ]
  (:data (email-alias-delete-get-with-http-info -token- -key-)))

(defn email-alias-list-get-with-http-info
  "Получить список псевдонимов почтовых ящиков"
  [-token- ]
  (call-api "/email/alias/list" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn email-alias-list-get
  "Получить список псевдонимов почтовых ящиков"
  [-token- ]
  (:data (email-alias-list-get-with-http-info -token-)))

(defn email-delete-get-with-http-info
  "Удаление почтового ящика"
  [-token- -key- ]
  (call-api "/email/delete" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- "_key_" -key- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn email-delete-get
  "Удаление почтового ящика"
  [-token- -key- ]
  (:data (email-delete-get-with-http-info -token- -key-)))

(defn email-list-get-with-http-info
  "Получить список почтовых ящиков"
  [-token- ]
  (call-api "/email/list" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn email-list-get
  "Получить список почтовых ящиков"
  [-token- ]
  (:data (email-list-get-with-http-info -token-)))

(defn updates-last-get-with-http-info
  "Идентификатор последнего уведомления в аудите"
  [-token- ]
  (call-api "/updates/last" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn updates-last-get
  "Идентификатор последнего уведомления в аудите"
  [-token- ]
  (:data (updates-last-get-with-http-info -token-)))

(defn updates-list-get-with-http-info
  "Список записей аудита"
  [-token- -key- ]
  (call-api "/updates/list" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- "_key_" -key- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn updates-list-get
  "Список записей аудита"
  [-token- -key- ]
  (:data (updates-list-get-with-http-info -token- -key-)))

(defn website-delete-get-with-http-info
  "Удаление сайта"
  [-token- -key- ]
  (call-api "/website/delete" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- "_key_" -key- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn website-delete-get
  "Удаление сайта"
  [-token- -key- ]
  (:data (website-delete-get-with-http-info -token- -key-)))

(defn website-list-get-with-http-info
  "Список сайтов аккаунта"
  [-token- ]
  (call-api "/website/list" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn website-list-get
  "Список сайтов аккаунта"
  [-token- ]
  (:data (website-list-get-with-http-info -token-)))

