(ns 1-gb-api.api.auth-api
  (:require [1-gb-api.core :refer [call-api check-required-params with-collection-format]])
  (:import (java.io File)))

(defn auth-login-post-with-http-info
  "Получить ключ доступа
  Возвращает ключ доступа, с которым в дальнейшем будут осуществляться всё взаимодействие с API
	(параметр 'token'). Для вычисления значения параметра 'response' необходимо получить представленную в hex MD5-сумму от
	объединения строк пароля пользователя, полученной соли и символа переноса строки. Псевдокод операции:
	hex(md5(password&nbsp;+&nbsp;salt&nbsp;+&nbsp;'\\n'))"
  [login salt response ]
  (call-api "/auth/login" :post
            {:path-params   {}
             :header-params {}
             :query-params  {"login" login "salt" salt "response" response }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn auth-login-post
  "Получить ключ доступа
  Возвращает ключ доступа, с которым в дальнейшем будут осуществляться всё взаимодействие с API
	(параметр 'token'). Для вычисления значения параметра 'response' необходимо получить представленную в hex MD5-сумму от
	объединения строк пароля пользователя, полученной соли и символа переноса строки. Псевдокод операции:
	hex(md5(password&nbsp;+&nbsp;salt&nbsp;+&nbsp;'\\n'))"
  [login salt response ]
  (:data (auth-login-post-with-http-info login salt response)))

(defn auth-start-get-with-http-info
  "Получить соль
  Возвращает соль для авторизации. Это первый этап идентификации пользователя. Затем соль используется
	во втором, окончательном этапе авторизации, в запросе /auth/login. Запрос не требует дополнительных параметров."
  [login ]
  (call-api "/auth/start" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"login" login }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn auth-start-get
  "Получить соль
  Возвращает соль для авторизации. Это первый этап идентификации пользователя. Затем соль используется
	во втором, окончательном этапе авторизации, в запросе /auth/login. Запрос не требует дополнительных параметров."
  [login ]
  (:data (auth-start-get-with-http-info login)))

