(ns 1-gb-api.api.dns-
  (:require [1-gb-api.core :refer [call-api check-required-params with-collection-format]])
  (:import (java.io File)))

(defn dns-add-get-with-http-info
  "Создание записи домена"
  ([-token- add-dns-zone ] (dns-add-get-with-http-info -token- add-dns-zone nil))
  ([-token- add-dns-zone {:keys [add-dns-record iis-site-for-dns bind-only ]}]
   (call-api "/dns/add" :get
             {:path-params   {}
              :header-params {}
              :query-params  {"_token_" -token- "add_dns_zone" add-dns-zone "add_dns_record" add-dns-record "iis_site_for_dns" iis-site-for-dns "bind_only" bind-only }
              :form-params   {}
              :content-types ["application/json"]
              :accepts       ["application/json"]
              :auth-names    []})))

(defn dns-add-get
  "Создание записи домена"
  ([-token- add-dns-zone ] (dns-add-get -token- add-dns-zone nil))
  ([-token- add-dns-zone optional-params]
   (:data (dns-add-get-with-http-info -token- add-dns-zone optional-params))))

(defn dns-bind-get-with-http-info
  "Привязка одного домена к другому"
  ([-token- -key- ] (dns-bind-get-with-http-info -token- -key- nil))
  ([-token- -key- {:keys [bind-to ]}]
   (call-api "/dns/bind" :get
             {:path-params   {}
              :header-params {}
              :query-params  {"_token_" -token- "_key_" -key- "bind_to" bind-to }
              :form-params   {}
              :content-types ["application/json"]
              :accepts       ["application/json"]
              :auth-names    []})))

(defn dns-bind-get
  "Привязка одного домена к другому"
  ([-token- -key- ] (dns-bind-get -token- -key- nil))
  ([-token- -key- optional-params]
   (:data (dns-bind-get-with-http-info -token- -key- optional-params))))

(defn dns-list-get-with-http-info
  "Получить список доменных имён"
  [-token- ]
  (call-api "/dns/list" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn dns-list-get
  "Получить список доменных имён"
  [-token- ]
  (:data (dns-list-get-with-http-info -token-)))

(defn dns-prolong-list-get-with-http-info
  "Информация по продлению доменов"
  [-token- ]
  (call-api "/dns/prolong/list" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn dns-prolong-list-get
  "Информация по продлению доменов"
  [-token- ]
  (:data (dns-prolong-list-get-with-http-info -token-)))

(defn dns-raw-get-with-http-info
  "Редактирование \"сырой\" зоны"
  [-token- -key- s-del s-add dns-type dns-name dns-value ]
  (call-api "/dns/raw" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- "_key_" -key- "s_del" s-del "s_add" s-add "dns_type" dns-type "dns_name" dns-name "dns_value" dns-value }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn dns-raw-get
  "Редактирование \"сырой\" зоны"
  [-token- -key- s-del s-add dns-type dns-name dns-value ]
  (:data (dns-raw-get-with-http-info -token- -key- s-del s-add dns-type dns-name dns-value)))

(defn dns-raw-managedmx-get-with-http-info
  "Редактировать DNS-зону"
  [-token- -key- managed-mx upd-managed-mx ]
  (call-api "/dns/raw/managedmx" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- "_key_" -key- "managed_mx" managed-mx "upd_managed_mx" upd-managed-mx }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn dns-raw-managedmx-get
  "Редактировать DNS-зону"
  [-token- -key- managed-mx upd-managed-mx ]
  (:data (dns-raw-managedmx-get-with-http-info -token- -key- managed-mx upd-managed-mx)))

