(ns 1-gb-api.api.vds-hyper-v-open-vz
  (:require [1-gb-api.core :refer [call-api check-required-params with-collection-format]])
  (:import (java.io File)))

(defn vds-create-get-with-http-info
  "Изменение параметров VDS
  Изменение параметров уже существующего VDS"
  ([-token- ] (vds-create-get-with-http-info -token- nil))
  ([-token- {:keys [type cr-hvmem cr-hvdsk cr-hvcpu template force-memo hv-1gb-panel-version panel-install cr-ssd1 cr-hv-all-system ]}]
   (call-api "/vds/create" :get
             {:path-params   {}
              :header-params {}
              :query-params  {"_token_" -token- "type" type "cr_hvmem" cr-hvmem "cr_hvdsk" cr-hvdsk "cr_hvcpu" cr-hvcpu "template" template "force_memo" force-memo "hv_1gb_panel_version" hv-1gb-panel-version "panel_install" panel-install "cr_ssd1" cr-ssd1 "cr_hv_all_system" cr-hv-all-system }
              :form-params   {}
              :content-types ["application/json"]
              :accepts       ["application/json"]
              :auth-names    []})))

(defn vds-create-get
  "Изменение параметров VDS
  Изменение параметров уже существующего VDS"
  ([-token- ] (vds-create-get -token- nil))
  ([-token- optional-params]
   (:data (vds-create-get-with-http-info -token- optional-params))))

(defn vds-delete-get-with-http-info
  "Удаление VDS
  Предоставляет функционал для удаления VDS"
  ([-token- -key- ] (vds-delete-get-with-http-info -token- -key- nil))
  ([-token- -key- {:keys [force-critical ]}]
   (call-api "/vds/delete" :get
             {:path-params   {}
              :header-params {}
              :query-params  {"_token_" -token- "_key_" -key- "force_critical" force-critical }
              :form-params   {}
              :content-types ["application/json"]
              :accepts       ["application/json"]
              :auth-names    []})))

(defn vds-delete-get
  "Удаление VDS
  Предоставляет функционал для удаления VDS"
  ([-token- -key- ] (vds-delete-get -token- -key- nil))
  ([-token- -key- optional-params]
   (:data (vds-delete-get-with-http-info -token- -key- optional-params))))

(defn vds-ip-add-get-with-http-info
  "Добавление IP на VDS
  Этот вызов позволяет добавить ещё один IP адрес на указанный VDS"
  [-token- -key- ]
  (call-api "/vds/ip/add" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- "_key_" -key- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn vds-ip-add-get
  "Добавление IP на VDS
  Этот вызов позволяет добавить ещё один IP адрес на указанный VDS"
  [-token- -key- ]
  (:data (vds-ip-add-get-with-http-info -token- -key-)))

(defn vds-ip-delete-get-with-http-info
  "Удаление IP с VDS
  Этот вызов позволяет отвязать IP адрес от VDS"
  [-token- -key- del-ip ]
  (call-api "/vds/ip/delete" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- "_key_" -key- "del_ip" del-ip }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn vds-ip-delete-get
  "Удаление IP с VDS
  Этот вызов позволяет отвязать IP адрес от VDS"
  [-token- -key- del-ip ]
  (:data (vds-ip-delete-get-with-http-info -token- -key- del-ip)))

(defn vds-ip-list-get-with-http-info
  "Список IP-адресов виртуальных серверов
  Список IP-адресов виртуальных серверов"
  ([-token- ] (vds-ip-list-get-with-http-info -token- nil))
  ([-token- {:keys [-key- ]}]
   (call-api "/vds/ip/list" :get
             {:path-params   {}
              :header-params {}
              :query-params  {"_token_" -token- "_key_" -key- }
              :form-params   {}
              :content-types ["application/json"]
              :accepts       ["application/json"]
              :auth-names    []})))

(defn vds-ip-list-get
  "Список IP-адресов виртуальных серверов
  Список IP-адресов виртуальных серверов"
  ([-token- ] (vds-ip-list-get -token- nil))
  ([-token- optional-params]
   (:data (vds-ip-list-get-with-http-info -token- optional-params))))

(defn vds-list-get-with-http-info
  "Список виртуальных серверов
  Позволяет получить список виртуальных серверов"
  ([-token- ] (vds-list-get-with-http-info -token- nil))
  ([-token- {:keys [-key- ]}]
   (call-api "/vds/list" :get
             {:path-params   {}
              :header-params {}
              :query-params  {"_token_" -token- "_key_" -key- }
              :form-params   {}
              :content-types ["application/json"]
              :accepts       ["application/json"]
              :auth-names    []})))

(defn vds-list-get
  "Список виртуальных серверов
  Позволяет получить список виртуальных серверов"
  ([-token- ] (vds-list-get -token- nil))
  ([-token- optional-params]
   (:data (vds-list-get-with-http-info -token- optional-params))))

(defn vds-reboot-get-with-http-info
  "Перезагрузка VDS
  Предоставляет функционал для перезагрузки VDS"
  [-token- -key- ]
  (call-api "/vds/reboot" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- "_key_" -key- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn vds-reboot-get
  "Перезагрузка VDS
  Предоставляет функционал для перезагрузки VDS"
  [-token- -key- ]
  (:data (vds-reboot-get-with-http-info -token- -key-)))

(defn vds-templates-list-get-with-http-info
  "Список шаблонов виртуальных серверов
  Позволяет получить список шаблонов виртуальных серверов"
  [-token- ]
  (call-api "/vds/templates-list" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn vds-templates-list-get
  "Список шаблонов виртуальных серверов
  Позволяет получить список шаблонов виртуальных серверов"
  [-token- ]
  (:data (vds-templates-list-get-with-http-info -token-)))

(defn vds-update-get-with-http-info
  "Создание VDS
  Создание новых VDS с произвольными характеристиками"
  ([-token- -key- ] (vds-update-get-with-http-info -token- -key- nil))
  ([-token- -key- {:keys [cr-hvmem cr-hvdsk cr-hvcpu ]}]
   (call-api "/vds/update" :get
             {:path-params   {}
              :header-params {}
              :query-params  {"_token_" -token- "_key_" -key- "cr_hvmem" cr-hvmem "cr_hvdsk" cr-hvdsk "cr_hvcpu" cr-hvcpu }
              :form-params   {}
              :content-types ["application/json"]
              :accepts       ["application/json"]
              :auth-names    []})))

(defn vds-update-get
  "Создание VDS
  Создание новых VDS с произвольными характеристиками"
  ([-token- -key- ] (vds-update-get -token- -key- nil))
  ([-token- -key- optional-params]
   (:data (vds-update-get-with-http-info -token- -key- optional-params))))

